FROM php:8.3-apache

COPY --from=mlocati/php-extension-installer /usr/bin/install-php-extensions /usr/local/bin/

RUN install-php-extensions @composer opcache intl pdo_mysql pdo_pgsql

RUN cp $PHP_INI_DIR/php.ini-production $PHP_INI_DIR/php.ini; \
    sed -i 's/memory_limit = 128M/memory_limit = 1G/' $PHP_INI_DIR/php.ini;
